from django.shortcuts import get_object_or_404
from django.contrib.auth import get_user_model

from rest_framework.response import Response
from rest_framework import status
from rest_framework.decorators import detail_route

from authentic2.api_views import DjangoPermission


@detail_route(methods=['delete'], url_path='fc-unlink', permission_classes=(DjangoPermission('custom_user.view_user'),))
def fc_unlink(self, request, uuid):
    user = get_object_or_404(get_user_model(), uuid=uuid)
    user.fc_accounts.all().delete()
    return Response(status=status.HTTP_204_NO_CONTENT)
